/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.entity.Readabnormal;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 抄表异常算法配置表
 *
 * @author wangjieliu
 * @date Wed Dec 01 00:00:00 CST 2021
 */
public interface ReadabnormalMapper extends BaseMapper<Readabnormal> {

    String getFirstReadName(@Param("firstRead") String firstRead);
    String getIsYearorchainName(@Param("isYearorchain") String isYearorchain);
    String getIsUpordownName(@Param("isUpordown") String isUpordown);
    String getYsxzName(@Param("ysxz") String ysxz);
    String getCodeById(@Param("id") Long id);
}
